const app = getApp()
const navigationBarHeight = (getApp().statusBarHeight + 44) + "px"
const config = require("../../config/config")
const util = require("../../utils/util");
const Http = require("../../utils/HttpBasics.js");

Page({
    data: {
        navigationBarHeight,
        imgHttps: app.globalData.imgHttps,
        pitch: 1,//选中支付类型 
        orderLsit: [],//订单列表
        pageNum: 1,
        noDAtaFlag:false,
        statusLsit: [
            {
                value: 0,
                name: "待支付"
            },
            {
                value: 1,
                name: "已支付"
            }
        ],
    },
    goClass(e){
        let id = e.currentTarget.dataset.id
        let title = e.currentTarget.dataset.title
        tt.navigateTo({
          url: `/pages/classDetails/classDetails?id=${id}&title=${title}` // 指定页面的url
        });
    },
    setPitch(e) {
        let index = e.currentTarget.dataset.index
        this.setData({
            pitch: index,
            pageNum:1
        })
        this.getOrder()
    },
    goPay(e){
        let id = e.currentTarget.dataset.id
        Http.post({//拿orderInfo
            url: config.api.pay,
            data: {
                orderId: id
            }
        }).then(item => {
            let _this = this
            tt.pay({
                service: 5,
                orderInfo: {
                    order_id: item.data.orderId,
                    order_token: item.data.token,
                },
                success(res) {
                    if (res.code === 0) {
                        tt.showToast({
                            title: '支付成功！', // 内容
                        });
                        tt.request({
                            url: Http.address + config.api.ifPayOk, // 目标服务器url
                            method: "post",
                            headers: {
                                "Content-Type": "application/json;charset=UTF-8",
                                token: app.globalData.token
                            },
                            data: {
                                code: 0,
                                orderId: id
                            },
                            success: (res) => {
                                _this.getOrder()
                            },
                            fail: (err) => {
                                tt.showToast({
                                    title: err.message, // 内容
                                    icon: "none"
                                });
                                console.log("我失败； err", err);
                                _this.getOrder()
                            }
                        });
                        // 支付成功处理逻辑，只有res.code=0时，才表示支付成功
                        // 但是最终状态要以商户后端结果为准
                    } else if (res.code === 1) {
                        tt.showToast({
                            title: '支付超时', // 内容
                            icon: "none"
                        });
                    } else if (res.code === 2) {
                        tt.showToast({
                            title: '支付失败', // 内容
                            icon: "none"
                        });
                    } else if (res.code === 3) {
                        tt.showToast({
                            title: '支付关闭', // 内容
                            icon: "none"
                        });
                    } else if (res.code === 4) {
                        tt.showToast({
                            title: '支付取消', // 内容
                            icon: "none"
                        });
                    } else if (res.code === 9) {
                        tt.showToast({
                            title: '订单状态开发者自行获取', // 内容
                            icon: "none"
                        });
                    }
                },
                fail(res) {
                    // handle fail
                },
            })
        }).catch(err => {
            tt.showToast({
                title: err.message?err.message:err.data, // 内容
                icon: "none"
            });
        })
    },
    getOrder() {//查询订单
        //ORDER_STATUS_PENDING_PAYMENT(0, "待付款"),
        // ORDER_STATUS_PAYMENT_ING(1,"支付中"),
        // ORDER_STATUS_PAYMENT_SUCCESS(2, "已支付"),
        // ORDER_STATUS_OVERTIME_CANCEL(3, "已取消"),
        // ORDER_STATUS_PENDING_REFUND(4, "待退款"),
        // ORDER_STATUS_REFUND_SUCCESS(5,"已退款"),
        // ORDER_STATUS_REFUND_FAILD(6, "退款失败"),

        let tempArr = []
        if (this.data.pitch == 0) {//待付款
            tempArr.push(...[0, 1, 3]) 
        } else {//已支付
            tempArr.push(...[2, 4, 5, 6]) 
        }
        Http.get({
            url: config.api.getOrderLsit,
            data: {
                pageNum: this.data.pageNum,
                pageSize: 6,
                statusS: tempArr
            }
        }).then(res => {
            let arr = res.data.list
            arr.map(item=>{
                item.createDate = util.formatTime(item.createDate, "yyyy-MM-dd hh:mm:ss")
            })
            if(this.data.pageNum>1){
                let tempLsit = this.data.orderLsit
                let tempArrLsit = [...tempLsit,...arr] 
                this.setData({
                    orderLsit:tempArrLsit,
                    noDAtaFlag:tempArrLsit.length==0?true: false,
                })
            }else{
                this.setData({
                    orderLsit:arr,
                    noDAtaFlag:arr.length==0?true: false,
                })
            }
            
        }).catch(err=>{
            tt.showToast({
                title: err.message, // 内容
                icon: "none"
            });
        })
    },
    onLoad() {
        this.getOrder()
    },
    onSshow(){
        this.getOrder()
    },
    onReachBottom(){
        console.log("到底了");
        this.setData({
            pageNum:this.data.pageNum +1
        })
        this.getOrder()
    }
})